stralloc_chop(3)

NAME
stralloc_chop - remove and return last char

SYNTAX
#include <libowfat/stralloc.h> int stralloc_chop(stralloc* sa);

DESCRIPTION
stralloc_chop removes the last char in the stralloc (if it is empty, stralloc_chop does nothing and returns -1). This character is cast to unsigned char and returned.

RETURN VALUE
chopped character, or -1 if string was empty.

SEE ALSO
stralloc_chomp(3)